Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class HibernatePersistenceContextInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.HibernatePersistenceContextInterceptor

All Implemented Interfaces:
  PersistenceContextInterceptor

    public class HibernatePersistenceContextInterceptor

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`void` | `clear()`
`void` | `destroy()`
`void` | `disconnect()`
`void` | `flush()`
`SessionFactory` | `getSessionFactory()` @return the sessionFactory
`void` | `init()`
`boolean` | `isOpen()`
`void` | `reconnect()`
`void` | `setReadOnly()`
`void` | `setReadWrite()`
`void` | `setSessionFactory(SessionFactory sessionFactory)` @param sessionFactory the sessionFactory to set

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### clear

    public void clear()

### destroy

    public void destroy()

### disconnect

    public void disconnect()

### flush

    public void flush()

### getSessionFactory

    public SessionFactory getSessionFactory()

  Returns:
    the sessionFactory

### init

    public void init()

### isOpen

    public boolean isOpen()

### reconnect

    @SuppressWarnings("deprecation")
    public void reconnect()

### setReadOnly

    public void setReadOnly()

### setReadWrite

    public void setReadWrite()

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

  Parameters:
    `sessionFactory` - the sessionFactory to set

Groovy Documentation